#!/bin/sh
dist_dir=../../mpgedit_0.6_win32

doc="README NEWS"
html1="html/decoder_so.html html/mp3decoder_sh.html html/mpgedit.html"
lib="../pdcurses/curses.dll libmpgedit_decoder.dll"
bin="mpgedit.exe mpgedit_nocurses.exe"
mp3="test1.mp3 test2.mp3 ATrain23.mp3  mpg1_layer1_fl1.mp3  
     mpg1_layer1_fl7.mp3  mpg1_layer2_fl11.mp3  mpg1_layer2_fl16.mp3  
     mpg2_layer2_test24.mp3"
data="test1.split test1.join"

uid=`id | awk '{print $1}' | sed -e 's/uid=//' -e 's/(.*//'`
if [ $uid -ne 0 ]; then
  echo "you must be root to execute this script"
  exit 1
fi

[ -d $dist_dir ] || mkdir $dist_dir
cp $doc       $dist_dir
cp $html1     $dist_dir
cp $lib       $dist_dir
cp $bin       $dist_dir
cp $mp3       $dist_dir
cp $data      $dist_dir

cat << NNNN > $dist_dir/README.win32
This is the binary tarball of mpgedit 0.6 beta
for Windows, dated April 2002. This product has been
built using Microsoft Visual Studio 6.0. This build is known to
function on Windows NT 4.0, Windows 2000, and Windows 98. It is
likely to function on Windows 95 and WindowsME. It is anyone's
guess about Windows XP. Please let me know about your suc-
cess/failure with running this code. 

The release notes for this product are in "NEWS".


INSTALLATION
------------
Unzip this package, and run from the current directory.  I have not given 
any thought to installation for Windows at this time.  Your best bet is
to copy into some location like 'C:\Program Files\mpgedit" and add
that directory to your PATH environment variable.


UNINSTALLATION
--------------
This is up to you, since the installation was done by you.

DOCUMENTATION
-------------
HTML versions of the mpgedit man pages are available on the mpgedit
home page:

    http://mpgedit.org/mpgedit/mpgedit.html


FILE LIST
---------
                                                       README.win32
NNNN
(cd $dist_dir; ls -l | sed -e '/^total/d' -e '/README.win32/d' >> README.win32)

#-rwxr--r--   1 number6  slocate    121344 Feb 27 00:03 curses.dll*
#-rwxr--r--   1 number6  slocate    198268 Feb 27 00:03 libmpgedit_decoder.dll*
#-rwxr--r--   1 number6  slocate    235320 Feb 27 00:03 mpgedit.exe*
#-rwxr--r--   1 number6  slocate    189204 Feb 27 00:03 mpgedit_nocurses.exe*
#-rw-r--r--   1 number6  slocate    596332 Feb 27 00:04 test1.mp3

cat << NNNN >> $dist_dir/README.win32

      MD5 Checksum                    File Name
      ------------                    ---------
                                  README.win32
NNNN
(cd $dist_dir; md5sum * | sed -e '/README.win32/d' >> README.win32)

#d5a933ee905e667580b25887645f891f  curses.dll
#fe1b111eea56e98703fda3a3b19c30a9  libmpgedit_decoder.dll
#74dec3f9ad34bb787c586a346386292e  mpgedit.exe
#2a55264f1792fca519da4a5fa5531957  mpgedit_nocurses.exe
#8bf58c3868a8bc51f38bc77dab649983  test1.mp3

cat << NNNN >> $dist_dir/README.win32

TESTING
-------
Linux:

The current regression test is "test1.sh".  You can run the regression
test by simply executing:

$ test1.sh

This test heavily exercises the editing features of mpgedit.  Each test 
performs a series of edits that results in an output file that will be
identical to the original, unedited file.  The resultant edited file is
then compared against the original source file.

Because this test script is implemented in Bourne shell, it cannot be
run on Windows.  However, the "slice and splice" test is available, in a 
fashion, for all platforms.  

The slice test is performed with the following actions:

  - Start mpgedit with no options
  - Press 'Enter' to close the help window
  - Enter the 'L' command, then load "test1.split"
  - Enter the 'E' command, save abandoned edits to file "test1.split2

The splice test is performed with the following actions:

  - Start mpgedit with no options
  - Press 'Enter' to close the help window
  - Enter the 'L' command, then load "test1.join"
  - Enter the 'n' command, entering the output file "test1_splice.mp3"
  - Enter the 'e' command, save abandoned edits to file "test1.join2"

Files test1.mp3 and test1_splice.mp3 should be identical.  This can be
verified by comparing these two files with diff:

  diff test1.mp3 test1_splice.mp3

Cleanup after this test with the following command:

  rm -f test1.splice.mp3 test1_*.mp3 test1_*.idx test1.split2 test1.join2

SOURCE CODE
-----------
CVS:

cvs -d \
  :pserver:anonymous@mpgedit.org:/usr/local/cvsroot login

       There is no password, just press Enter

cvs -z3 -d \
  :pserver:anonymous@mpgedit.org:/usr/local/cvsroot \
  co -r latest mpgedit


COMPILING
---------
You must have Visual C++ configured for command line builds.  The
easiest way to accomplish this is run vcvars32.bat from a cmd shell.

Download the source:
    http://mpgedit.org/mpgedit/mpgedit_0.6.tar.gz

Or download the source from CVS for 'latest'. 

In a directory at the same level as the mpgedit source,
download the PDCurses 2.4 package and unzip it in a directory
named 'pdcurses'. 

You should have a directory structure something like this:

    c:\wrk\mpgedit
    c:\wrk\pdcurses

From a cmd shell, cd into wrk\mpgedit, and run win32_make.bat.

c:\mpgedit> win32_make.bat


COPYRIGHT
---------


     mpgedit - MPEG 1/2/2.5 audio file editor
        Version 0.6 development April 2002
        http://mpgedit.org/mpgedit/
        Copyright (C) 2001, 2002 by Adam Bernstein


Written by: Adam Bernstein <number6@mpgedit.org>, released under
the GPL.  See "COPYING" for full details.

The mpgedit audio playback plugins uses the MPGLIB decoding engine,
from the MPG123 package, written by: Michael Hipp (www.mpg123.de)
MPGLIB is released under the GPL.

The version of MPGLIB used in this release comes from LAME 3.90 alpha 7,
released under the GNU LESSER PUBLIC LICENSE.

Copyrights (c) 1999,2000,2001 by Mark Taylor: LAME
Copyrights (c) 1998 by Michael Cheng: LAME
Copyrights (c) 1995,1996,1997 by Michael Hipp: mpglib

curses.dll comes from the PDCurses 2.4 package (pdc24_vc_w32.zip),
http://pdcurses.sourceforge.net/index.html

As well as additional copyrights as documented in the source code.
NNNN

(cd $dist_dir; chown 0 *; chgrp 0 *)
exit 0
