#ifndef _PORTABILITY_H
#define _PORTABILITY_H

#if !defined(_WIN32) 

/* UNIX Section */

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#if defined(__hpux)
#include <dl.h>
#else
#include <dlfcn.h>
#endif

#else

/* WIN32 Section */

#include <windows.h>
#include <io.h>
#include <win32/getopt.h>

/* Why are these defines needed, but others, like strdup and fopen are not ?? */
#define access _access
#define sleep(z)  _sleep((z)*1000)

/* Defines needed for access() */
#define F_OK 00
#define W_OK 02
#define R_OK 04
#define S_ISREG(x) (((x) & _S_IFREG) == _S_IFREG)

#endif

#endif /* _PORTABILITY_H */
